Skip to main content
WEBHOOK

Authorizations

Authorization
string
header
required

Send your Immoteur Personal Access Token in the Authorization header: Authorization: Bearer <token>

You can create and manage your Personal Access Tokens here: https://immoteur.com/dashboard/settings

Headers

User-Agent
string
required

Identifies the request as an Immoteur webhook call.

X-Immoteur-Service-Id
string<uuid>
required

UUID of the Immoteur service emitting this webhook.

X-Immoteur-Event-Id
string<uuid>
required

Correlation ID for the webhook payload.

X-Immoteur-Delivery-Id
string<uuid>
required

Unique identifier for this HTTP delivery attempt.

X-Immoteur-Timestamp
string
required

Unix timestamp (seconds) for the delivery attempt.

Pattern: ^[0-9]+$

Body

application/json
currency
enum<string>
required

Currency of the price.

Available options:
euro
id
string<uuid>
required

Unique identifier for the classified.

Example:

"7f6e3b4d-9c22-46a0-8f20-0d1a2b3c4d5e"

location
object
required

Location information for the classified.

meta
object
required

Meta information for the classified.

property
object
required

Property information for the classified.

propertyId
string<uuid>
required

Identifier of the Immoteur property group linked to this classified. The group can represent a whole programme with multiple units when the source advert has programme-level scope and does not guarantee one individual dwelling.

Example:

"01920347-45c7-7b81-a2e4-d28c43f0d123"

publisher
object
required

Publisher information for the classified.

source
object
required

Source information for the classified.

squareUnit
enum<string>
required

Square unit of the price.

Available options:
squareMeter
status
object
required

Current lifecycle status of the classified.

transaction
object
required

Transaction information for the classified.

contact
object

Contact information for the classified.

description
string

Description of the classified.

Example:

"Bel appartement lumineux au cœur de Paris."

energy
object

Energy information for the classified.

media
object

Media information for the classified.

publishedAt
string<date-time> | null

Timestamp when the classified was published on its original source.

Example:

"2025-05-15T08:10:00.000Z"

title
string

Title of the classified.

Example:

"Appartement 3 pièces Paris 1er"

Response

Webhook received successfully